## net.dontdrinkandroot.utils.pair
Class Pair<T extends java.io.Serializable>

    java.lang.Object
      net.dontdrinkandroot.utils.pair.Pair<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<T>

    public class Pair<T extends java.io.Serializable>

extends java.lang.Object
implements java.io.Serializable, java.lang.Iterable<T>

See Also:
  Serialized Form

Constructor Summary
`Pair()`
`Pair(T first, T second)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`T` `getFirst()`
`T` `getSecond()`
`int` `hashCode()`
`java.util.Iterator<T>` `iterator()`
`void` `setFirst(T first)`
`void` `setSecond(T second)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pair

    public Pair()

### Pair

    public Pair(T first,
                T second)

Method Detail

### getFirst

    public T getFirst()

### setFirst

    public void setFirst(T first)

### getSecond

    public T getSecond()

### setSecond

    public void setSecond(T second)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### iterator

    public java.util.Iterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T extends java.io.Serializable>`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.